Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class ISOMLayout

    java.lang.Object
      edu.uci.ics.jung.visualization.AbstractLayout
          edu.uci.ics.jung.visualization.ISOMLayout

All Implemented Interfaces:
  ChangeEventSupport, Layout, VertexLocationFunction

public class ISOMLayout
extends AbstractLayout

Implements a self-organizing map layout algorithm, based on Meyer's self-organizing graph methods.

Author:
  Yan Biao Boey

Nested Class Summary
`static class` | `ISOMLayout.ISOMVertexData`

Field Summary
`protected GraphElementAccessor` | `elementAccessor`

Fields inherited from class edu.uci.ics.jung.visualization.AbstractLayout
`changeSupport, vertex_locations`

Constructor Summary
`ISOMLayout(Graph g)`

Method Summary
`void` | `advancePositions()` Advances the current positions of the graph elements.
`Object` | `getIsomKey()`
`ISOMLayout.ISOMVertexData` | `getISOMVertexData(Vertex v)`
`String` | `getStatus()` Returns the current number of epochs and execution status, as a string.
`boolean` | `incrementsAreDone()` For now, we pretend it never finishes.
`protected void` | `initialize_local_vertex(Vertex v)` (non-Javadoc)
`protected void` | `initialize_local()` Initializes all local information, and is called immediately within the `initialize()` process.
`boolean` | `isIncremental()` This one is an incremental visualization.

Methods inherited from class edu.uci.ics.jung.visualization.AbstractLayout
`addChangeListener, applyFilter, dontMove, fireStateChanged, forceMove, getAVertex, getBaseKey, getChangeListeners, getCoordinates, getCurrentSize, getEdge, getEdge, getGraph, getLocation, getVertex, getVertex, getVertexIterator, getVisibleEdges, getVisibleGraph, getVisibleVertices, getX, getY, initialize, initialize, initializeLocation, initializeLocations, isLocked, lockVertex, offsetVertex, postInitialize, removeChangeListener, resize, restart, unlockVertex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elementAccessor

    protected GraphElementAccessor elementAccessor

Constructor Detail

### ISOMLayout

    public ISOMLayout(Graph g)

Method Detail

### getIsomKey

    public Object getIsomKey()

### getStatus

    public String getStatus()

  Returns the current number of epochs and execution status, as a string.

  Specified by:
    `getStatus` in interface `Layout`
  Overrides:
    `getStatus` in class `AbstractLayout`

### initialize_local

    protected void initialize_local()

  Description copied from class: `AbstractLayout`
  Initializes all local information, and is called immediately within the `initialize()` process. The user is responsible for overriding this method to do any construction that may be necessary: for example, to initialize local per-edge or graph-wide data.

  Overrides:
    `initialize_local` in class `AbstractLayout`

### initialize_local_vertex

    protected void initialize_local_vertex(Vertex v)

  (non-Javadoc)

  Specified by:
    `initialize_local_vertex` in class `AbstractLayout`
  See Also:
    `AbstractLayout.initialize_local_vertex(edu.uci.ics.jung.graph.Vertex)`

### advancePositions

    public void advancePositions()

  Advances the current positions of the graph elements.

  Specified by:
    `advancePositions` in interface `Layout`
  Specified by:
    `advancePositions` in class `AbstractLayout`
  See Also:
    `Layout.advancePositions()`

### getISOMVertexData

    public ISOMLayout.ISOMVertexData getISOMVertexData(Vertex v)

### isIncremental

    public boolean isIncremental()

  This one is an incremental visualization.

  Returns:
    `true` is the layout algorithm is incremental, `false` otherwise

### incrementsAreDone

    public boolean incrementsAreDone()

  For now, we pretend it never finishes.

  Returns:
    `true` is the increments are done, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD